- Qt 5.5
- Qt3D Module
- C++ Classes
- QAbstractBuffer
- Qt 5.5.1 Reference Documentation

# QAbstractBuffer Class

(Qt3D::QAbstractBuffer)

Inherits: | QNode

- List of all members, including inherited members

## Properties

- data : QByteArray

- 1 property inherited from Qt3D::QNode

## Public Functions

| QAbstractBuffer(QNode * parent = 0)
virtual | ~QAbstractBuffer()
QByteArray | data() const
virtual void | setData(const QByteArray & bytes)

- 6 public functions inherited from Qt3D::QNode

## Signals

void | dataChanged()

- 1 signal inherited from Qt3D::QNode

## Reimplemented Protected Functions

virtual void | copy(const QNode * ref)

- 3 protected functions inherited from Qt3D::QNode

### Additional Inherited Members

- 3 protected functions inherited from Qt3D::QNode
- 1 static protected member inherited from Qt3D::QNode

## Property Documentation

### data : QByteArray

Access functions:

QByteArray | data() const
virtual void | setData(const QByteArray & bytes)

Notifier signal:

void | dataChanged()

## Member Function Documentation

### QAbstractBuffer::QAbstractBuffer(QNode * parent = 0)

### `[virtual]` QAbstractBuffer::~QAbstractBuffer()

### `[virtual protected]` void QAbstractBuffer::copy(const QNode * ref)